# Update balance settings Updates balance settings for a given connected account. Related guide: [Making API calls for connected accounts](https://docs.stripe.com/connect/authentication.md) ## Returns Returns the updated balance settings object for the account that was authenticated in the request. ## Parameters - `debit_negative_balances` (boolean, optional) A Boolean indicating whether Stripe should try to reclaim negative balances from an attached bank account. For details, see [Understanding Connect Account Balances](https://docs.stripe.com/connect/account-balances.md). - `payouts` (object, optional) Settings specific to the account’s payouts. - `payouts.schedule` (object, optional) Details on when funds from charges are available, and when they are paid out to an external account. For details, see our [Setting Bank and Debit Card Payouts](https://docs.stripe.com/connect/bank-transfers.md#payout-information) documentation. - `payouts.schedule.interval` (enum, optional) How frequently available funds are paid out. One of: `daily`, `manual`, `weekly`, or `monthly`. Default is `daily`. Possible enum values: - `daily` Stripe automatically sends money to your bank account daily - `manual` You manually send funds to your bank account - `monthly` Stripe automatically sends money to your bank account monthly - `weekly` Stripe automatically sends money to your bank account weekly - `payouts.schedule.monthly_anchor` (integer, optional) The day of the month when available funds are paid out, specified as a number between 1–31. Payouts nominally scheduled between the 29th and 31st of the month are instead sent on the last day of a shorter month. Required and applicable only if `interval` is `monthly`. - `payouts.schedule.weekly_anchor` (enum, optional) The day of the week when available funds are paid out (required and applicable only if `interval` is `weekly`.) Possible enum values: - `friday` Available funds are paid out on Friday - `monday` Available funds are paid out on Monday - `thursday` Available funds are paid out on Thursday - `tuesday` Available funds are paid out on Tuesday - `wednesday` Available funds are paid out on Wednesday - `payouts.statement_descriptor` (string, optional) The text that appears on the bank account statement for payouts. If not set, this defaults to the platform’s bank descriptor as set in the Dashboard. - `settlement_timing` (object, optional) Settings related to the account’s balance settlement timing. - `settlement_timing.delay_days` (integer, optional) The number of days charge funds are held before becoming available. May also be set to `minimum`, representing the lowest available value for the account country. Default is `minimum`. The `delay_days` parameter remains at the last configured value if `payouts.schedule.interval` is `manual`. [Learn more about controlling payout delay days](https://docs.stripe.com/connect/manage-payout-schedule.md). ```curl curl https://api.stripe.com/v1/balance_settings \ -u "<>" \ -H "Stripe-Version: 2025-04-30.preview" \ -H "Stripe-Account: {{CONNECTED_ACCOUNT_ID}}" \ -d "payouts[schedule][interval]"=monthly \ -d "payouts[schedule][monthly_anchor]"=5 ``` ### Response ```json { "object": "balance_settings", "debit_negative_balances": true, "payouts": { "schedule": { "interval": "monthly", "monthly_anchor": 5 }, "statement_descriptor": null, "status": "enabled" }, "settlement_timing": { "delay_days": 2 } } ```